<?php
namespace Ep\TecDoc;

use Laminas\ServiceManager\Factory\InvokableFactory;

return [
    'view_helpers' => [
        'aliases' => [
            'tecdoc_construction_year' => View\Helper\ConstructionYear::class,
            'tecdoc_model_name'        => View\Helper\ModelName::class,
            'tecdoc_selected_vehicle'  => View\Helper\SelectedVehicle::class,
            'tecdoc_vehicle_name'      => View\Helper\VehicleName::class,
            'tecdoc_vehicle_select'    => View\Helper\VehicleSelect::class,
        ],

        'factories' => [
            View\Helper\ConstructionYear::class => InvokableFactory::class,
            View\Helper\ModelName::class        => InvokableFactory::class,
            View\Helper\SelectedVehicle::class  => View\Helper\SelectedVehicleFactory::class,
            View\Helper\VehicleName::class      => InvokableFactory::class,
            View\Helper\VehicleSelect::class    => View\Helper\VehicleSelectFactory::class,
        ],
    ],
];
