<?php
namespace Ep\TecDoc\Record;

/**
 * Class AxleByCarIdRecord
 *
 * @package Ep\TecDoc\Record
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/tecdoc
 */
class AxleByCarIdRecord implements RecordInterface
{
    /** @var string */
    protected $axleDescription;
    /** @var string */
    protected $axleManufacturer;
    /** @var string */
    protected $axleModel;
    /** @var string */
    protected $axlePosition;

    /**
     * @return string
     */
    public function getDescription(): string
    {
        return $this->axleDescription;
    }

    /**
     * @return string
     */
    public function getManufacturer(): string
    {
        return $this->axleManufacturer;
    }

    /**
     * @return string
     */
    public function getModel(): string
    {
        return $this->axleModel;
    }

    /**
     * @return string
     */
    public function getPosition(): string
    {
        return $this->axlePosition;
    }
}