<?php
namespace Ep\TecDoc\Record;

/**
 * Class SecondaryTypesByCarIdRecord
 *
 * @package Ep\TecDoc\Record
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/tecdoc
 */
class SecondaryTypesByCarIdRecord implements RecordInterface
{
    /** @var int */
    protected $subTypeId;
    /** @var string */
    protected $subTypeDescription;

    /**
     * @return int
     */
    public function getId(): int
    {
        return $this->subTypeId;
    }

    /**
     * @return string
     */
    public function getDescription(): string
    {
        return $this->subTypeDescription;
    }
}