<?php
namespace Ep\TecDoc\Record;

/**
 * Class WheelBasesByCarIdRecord
 *
 * @package Ep\TecDoc\Record
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/tecdoc
 */
class WheelBasesByCarIdRecord implements RecordInterface
{
    /** @var string */
    protected $axlePosition;
    /** @var int */
    protected $wheelbase;
    /** @var int */
    protected $wheelbaseId;

    /**
     * @return string
     */
    public function getAxlePosition(): string
    {
        return $this->axlePosition;
    }

    /**
     * @return int
     */
    public function getWheelbase(): int
    {
        return $this->wheelbase;
    }

    /**
     * @return int
     */
    public function getWheelbaseId(): int
    {
        return $this->wheelbaseId;
    }
}