<?php

namespace Ep\TecDoc\Request\Parts;

trait CarTypeTrait
{
    /** @var string */
    protected  $carType;

    /**
     * @return string
     */
    public function getCarType(): string
    {
        return $this->carType;
    }

    /**
     * @param string $carType
     */
    public function setCarType(string $carType = 'P'): void
    {
        if (!in_array($carType, ['P', 'O', 'L'])) {
            throw new \InvalidArgumentException('Car type mora biti P,O ili L');
        }

        $this->carType = $carType;
    }
}