<?php
namespace Ep\TecDoc\View\Helper;

use Ep\Wp\View\ViewInterface;
use Laminas\View\Helper\AbstractHelper;

/**
 * Class VehicleSelect
 *
 * @package Ep\TecDoc\View\Helper
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/tecdoc
 */
class VehicleSelect extends AbstractHelper
{
    /**
     * VehicleSelect constructor.
     *
     * @param ViewInterface $view
     */
    public function __construct(ViewInterface $view)
    {
        $this->view = $view;
    }

    public function __invoke()
    {
        return $this->view->render();
    }
}
