<?php
namespace Ep\TecDoc\Request;

use Ep\TecDoc\Response;

/**
 * Class ManufacturersRequest
 *
 * @package Ep\TecDoc\Request
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/tecdoc
 */
class ManufacturersRequest extends AbstractRequest
{
    use Parts\CountryTrait;
    use Parts\CountryGroupFlagTrait;
    use Parts\FavouredListTrait;
    use Parts\LinkingTargetTypeTrait;
    use Parts\LangTrait;

    /** @var string */
    protected $responseClass = Response\ManufacturersResponse::class;
    /** @var string  */
    protected $remoteFunctionName = 'getManufacturers';
}