<?php

namespace Ep\TecDoc\Request\Parts;

trait LinkingTargetTypeTrait
{
    /** @var string */
    protected $linkingTargetType = 'P';

    /**
     * @return string
     */
    public function getLinkingTargetType(): string
    {
        return $this->linkingTargetType;
    }

    /**
     * @param string $linkingTargetType
     */
    public function setLinkingTargetType(string $linkingTargetType): void
    {
        if (!in_array($linkingTargetType, ['P', 'O', 'A', 'M'])) {
            throw new \InvalidArgumentException('Neispravan linking target');
        }

        $this->linkingTargetType = $linkingTargetType;
    }
}